Package com.pixelmed.dicom

# Class DicomDirectoryRecordType

java.lang.Object
com.pixelmed.dicom.DicomDirectoryRecordType

public class DicomDirectoryRecordType extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`concatentation`
`static final String`
`encapsulatedDocument`
`static final String`
`fiducial`
`static final String`
`hl7StructuredDocument`
`static final String`
`image`
`static final String`
`keyObjectDocument`
`static final String`
`patient`
`static final String`
`presentationState`
`static final String`
`rawData`
`static final String`
`realWorldValueMapping`
`static final String`
`registration`
`static final String`
`rtDose`
`static final String`
`rtPlan`
`static final String`
`rtStructureSet`
`static final String`
`rtTreatmentRecord`
`static final String`
`series`
`static final String`
`spectroscopy`
`static final String`
`srDocument`
`static final String`
`stereometricRelationship`
`static final String`
`study`
`static final String`
`waveform`

## Constructor Summary

Constructors
Constructor
Description
`DicomDirectoryRecordType()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### patient

public static final String patient

See Also:
  - Constant Field Values

### study

public static final String study

See Also:
  - Constant Field Values

### series

public static final String series

See Also:
  - Constant Field Values

### concatentation

public static final String concatentation

See Also:
  - Constant Field Values

### image

public static final String image

See Also:
  - Constant Field Values

### srDocument

public static final String srDocument

See Also:
  - Constant Field Values

### keyObjectDocument

public static final String keyObjectDocument

See Also:
  - Constant Field Values

### waveform

public static final String waveform

See Also:
  - Constant Field Values

### spectroscopy

public static final String spectroscopy

See Also:
  - Constant Field Values

### rawData

public static final String rawData

See Also:
  - Constant Field Values

### rtDose

public static final String rtDose

See Also:
  - Constant Field Values

### rtStructureSet

public static final String rtStructureSet

See Also:
  - Constant Field Values

### rtPlan

public static final String rtPlan

See Also:
  - Constant Field Values

### rtTreatmentRecord

public static final String rtTreatmentRecord

See Also:
  - Constant Field Values

### presentationState

public static final String presentationState

See Also:
  - Constant Field Values

### registration

public static final String registration

See Also:
  - Constant Field Values

### fiducial

public static final String fiducial

See Also:
  - Constant Field Values

### realWorldValueMapping

public static final String realWorldValueMapping

See Also:
  - Constant Field Values

### stereometricRelationship

public static final String stereometricRelationship

See Also:
  - Constant Field Values

### encapsulatedDocument

public static final String encapsulatedDocument

See Also:
  - Constant Field Values

### hl7StructuredDocument

public static final String hl7StructuredDocument

See Also:
  - Constant Field Values

## Constructor Details

### DicomDirectoryRecordType

public DicomDirectoryRecordType()